# pacer2influxdb

export [Pacer](https://play.google.com/store/apps/details?id=cc.pacer.androidapp) data to [InfluxDB](https://www.influxdata.com/products/influxdb-overview/)

  * requires Python 3, `influxdb-python` and `sqlite-python`
  * original code from https://github.com/korjavin/sqlite2influxdb and https://github.com/influxdata/influxdb-python
  * sqlite database is `/data/data/cc.pacer.androidapp/databases/MDData.db` on an Android device, may need root privileges to get it
  * collects steps, distance, active time and calories
  * for now InfluxDB database needs to be created first
  * incremental feed: just insert missing points
  * [Grafana](https://grafana.com/) dashboard export in json format is included, adjust datasource name
